人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

今、zend platformをlinuxマシンに
インストールしたいのですが
対応WebサーバはApache 1.3.x/2.0.x/2.2.x(2系はcompiled in preforkのみ)。
と書かれている
compiled in preforkのみとはどういう意味でしょうか?
インストール済みのapacheはhttpd-2.2.4です。
このときのコンパイルオプションに何か
つけたほうがいいのでしょうか?



●質問者: hopefully
●カテゴリ:就職・転職 ウェブ制作
✍キーワード:2.0 Apache httpd Linux Web
○ 状態 :終了
└ 回答数 : 2/2件

▽最新の回答へ

1 ● withgod
●35ポイント

http://httpd.apache.org/docs/2.0/ja/mpm.html

Apache MPM: 日誌

compiled in prefork

prefork以外では動かないという事でしょう。

Unixではデフォルトではpreforkのはずなので、特に他を指定していないので有ればそのままでいいはずです。

httpd -l

でモジュールの一覧が確認できます。

◎質問者からの返答

Compiled in modules:

core.c

prefork.c

http_core.c

mod_so.c

と出てきます。

これは大丈夫ですよね?


2 ● Yota
●35ポイント

http://httpd.apache.org/docs/2.2/ja/mod/prefork.html

mpm_prefork_moduleのソースファイルがprefork.cなので、prefork.cがコンパイルされていれば、MPMはpreforkです。

そもそも、PHP自体が他のマルチスレッドマルチスレッドモードでApacheのモジュールとして使うことを推奨していません。

http://www.php.net/manual/ja/install.unix.apache2.php

◎質問者からの返答

ということは、初期の段階のApacheでは

だめで、これを行うということですか?

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ